Bug 1906508 - TestHeaderNameCaseAdjust outputs nil error message on some failures
Summary: TestHeaderNameCaseAdjust outputs nil error message on some failures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Stephen Greene
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-10 16:53 UTC by Stephen Greene
Modified: 2021-02-24 15:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:41:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 512 0 None closed Bug 1906508: test/e2e: Don't clobber err in TestHeaderNameCaseAdjust 2021-01-05 07:14:25 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:42:14 UTC

Description Stephen Greene 2020-12-10 16:53:21 UTC
See https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_cluster-ingress-operator/505/pull-ci-openshift-cluster-ingress-operator-master-e2e-aws-operator/1337051993394384896#1:build-log.txt%3A156

When the new TestHeaderNameCaseAdjust operator e2e test fails to observe the expected output, no err is printed. This is because the original err variable from the wait.PollImmediate loop is overwritten by other error values when the test prepares error output information for failed runs.

The fix for this is trivial, however, and impact is low, since the only possible error message that could be displayed is a timeout message. However, it is a good idea to fix this test so any failures observed by other developers don't appear vague.

Comment 5 errata-xmlrpc 2021-02-24 15:41:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.